#!/usr/bin/env bash

set -eoux -o pipefail

cd "$(dirname "$(realpath "$0")")"
tmpdir=$(mktemp -d)

bazel build //projects/tentacles:tentacles.zapp
zapp=$(realpath $(bazel run --run_under=echo //projects/tentacles:tentacles.zapp))

cp Dockerfile "$tmpdir/"
cp -r "$zapp" "$tmpdir/"

cd "${tmpdir}"
docker build "$@" -f Dockerfile -t registry.tirefireind.us/arrdem/tentacles:latest .
docker push registry.tirefireind.us/arrdem/tentacles:latest
IMAGE=$(docker inspect --format='{{index .RepoDigests 0}}' registry.tirefireind.us/arrdem/tentacles:latest)

# And deploy
kubectl patch \
    -n tirefireind \
    deployment tentacles \
    --patch "{\"spec\": {\"template\": {\"spec\": {\"containers\": [{\"name\": \"tentacles\", \"image\": \"$IMAGE\"}]}}}}"
