-- name: migration-0001-create-filament-color#
CREATE TABLE IF NOT EXISTS filament_color (
   id INTEGER PRIMARY KEY AUTOINCREMENT
 , code TEXT
 , name TEXT DEFAULT NULL
 , UNIQUE(code)
);

INSERT OR IGNORE INTO filament_color (id, code, name) VALUES (1, '#DDDDDD', 'Any');
INSERT OR IGNORE INTO filament_color (code, name) VALUES ('#000000', 'Black');
INSERT OR IGNORE INTO filament_color (code, name) VALUES ('#FFFFFF', 'White');

-- name: migration-0002-create-orange-color#
INSERT OR IGNORE INTO filament_color (code, name) VALUES ('#FF6925', 'Orange');

-- name: migration-0003-create-yellow-color#
INSERT OR IGNORE INTO filament_color (code, name) VALUES ('#F8F036', 'Yellow');

-- name: migration-0004-create-red-color#
INSERT OR IGNORE INTO filament_color (code, name) VALUES ('#E90402', 'Red');

-- name: migration-0005-create-blue-color#
INSERT OR IGNORE INTO filament_color (code, name) VALUES ('#5268CE', 'Blue (dark)');

-- name: migration-0005-create-light-blue-color#
INSERT OR IGNORE INTO filament_color (code, name) VALUES ('#1BA9EB', 'Blue (light)');

-- name: migration-0006-create-powder-blue-color#
INSERT OR IGNORE INTO filament_color (code, name) VALUES ('#99D1D9', 'Blue (baby)');

-- name: create-color^
INSERT OR IGNORE INTO filament_color (
   code
)
VALUES (
   :code
)
RETURNING
   id
;

-- name: fetch-color^
SELECT *
FROM filament_color
WHERE
  code = :code
;

-- name: set-color-name!
UPDATE filament_color
SET
  name = :name
WHERE
  id = :cid
;

-- name: list-colors
SELECT *
FROM filament_color
;
